Bug 1193798 - [RFE] Order capsule lifecycle environments in capsule form
Summary: [RFE] Order capsule lifecycle environments in capsule form
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.0.7
Hardware: All
OS: All
low
low vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-18 09:17 UTC by Pavel Moravec
Modified: 2018-09-04 19:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:07:11 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Pavel Moravec 2015-02-18 09:17:11 UTC
Description of problem:
There is confusing ordering of lifecycle environments in capsule L.E. tab. The ordering is alphabetical, while it would be beneficial to have it ordered per L.E. "promotion chain". I.e. having L.E. Library -> Devel -> QE -> Production, I would like to see L.E.s ordered:
Library
Devel
QE
Production

while I see ordering:
Dev
Library
Production
QE


Version-Release number of selected component (if applicable):
Sat 6.0.7


How reproducible:
100%


Steps to Reproduce:
1. Create lifecycle environments chain Library -> Dev -> QE -> Production
2. Install an external capsule
3. Open L.E. tab for the capsule and check ordering of the L.E.s


Actual results:
The ordering is alphabetical.


Expected results:
The ordering should be "promotion chain" based.


Additional info:

Comment 2 Bryan Kearney 2017-11-09 19:07:12 UTC
hammer capsule list now supports the --order flag which resolves this issue.

Comment 3 Bryan Kearney 2017-11-09 19:07:54 UTC
wrong bug.

Comment 4 Bryan Kearney 2018-09-04 18:56:34 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 5 Bryan Kearney 2018-09-04 19:07:11 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.